Package org.springframework.security.web.server.util.matcher

# Class ServerWebExchangeMatcherEntry<T>

java.lang.Object
org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcherEntry<T>

public class ServerWebExchangeMatcherEntry<T> extends Object
A rich object for associating a `ServerWebExchangeMatcher` to another object.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`ServerWebExchangeMatcherEntry(ServerWebExchangeMatcher matcher, T entry)`

## Method Summary

Modifier and Type
Method
Description
`T`
`getEntry()`
`ServerWebExchangeMatcher`
`getMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerWebExchangeMatcherEntry

public ServerWebExchangeMatcherEntry(ServerWebExchangeMatcher matcher, T entry)

## Method Details

### getMatcher

public ServerWebExchangeMatcher getMatcher()

### getEntry

public T getEntry()